package com.iamberry.wechat.core.entity.integral;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  积分商品类
 * @author ys
 * @Date 2018-04-28
 */
public class IntegralProduct  implements  Serializable{
    private static final long serialVersionUID = -7466017509080040027L;
    //商品id
    private Integer integralProductId;
    //积分商品名称
    private String integralProductName;
    //积分商品介绍图
    private String integralProductImg;
    //产品简介
    private String integralProductDesc;
    //商品类型 1:商城内优惠券 2:其他
    private Integer integralProductType;
    //商品总数量
    private Integer integralProductNum;
    //商品已兑换数量
    private Integer integralProductRemainingNum;
    //详情
    private String integralProductImagetext;
    //状态 1：使用中 2未使用
    private Integer integralProductStatus;
    //创建时间
    private Date integralProductCreateTime;
    //修改时间'
    private Date integralProductUpdateTime;

    private Integer convertId;
    //所需朵粉币数量
    private Integer convertDfbi;
    //是否邮寄 1:需要邮寄 2:不需要邮寄 def:2
    private Integer convertIsMailing;
    //是否需要支付 1:需要支付 2:不需要支付 def:2
    private Integer convertIsPay;
    //需要支付的金额
    private Integer convertPrice;
    //优惠券类型id 当类型为优惠券时，需要关联某个优惠券类型
    private Integer couponId;

    //1：直接减免金额   2：按百分比折扣
    private Integer couponType;
    //减免率或者减免额
    private Integer couponReduce;

    public Integer getIntegralProductId(){
        return integralProductId;
    }

    public void setIntegralProductId(Integer  integralProductId){
        this.integralProductId=integralProductId;
    }

    public String getIntegralProductName(){
        return integralProductName;
    }

    public void setIntegralProductName(String  integralProductName){
        this.integralProductName=integralProductName;
    }

    public String getIntegralProductImg(){
        return integralProductImg;
    }

    public void setIntegralProductImg(String  integralProductImg){
        this.integralProductImg=integralProductImg;
    }

    public String getIntegralProductDesc(){
        return integralProductDesc;
    }

    public void setIntegralProductDesc(String  integralProductDesc){
        this.integralProductDesc=integralProductDesc;
    }

    public Integer getIntegralProductType(){
        return integralProductType;
    }

    public void setIntegralProductType(Integer  integralProductType){
        this.integralProductType=integralProductType;
    }

    public Integer getIntegralProductNum(){
        return integralProductNum;
    }

    public void setIntegralProductNum(Integer  integralProductNum){
        this.integralProductNum=integralProductNum;
    }

    public Integer getIntegralProductRemainingNum(){
        return integralProductRemainingNum;
    }

    public void setIntegralProductRemainingNum(Integer  integralProductRemainingNum){
        this.integralProductRemainingNum=integralProductRemainingNum;
    }

    public String getIntegralProductImagetext(){
        return integralProductImagetext;
    }

    public void setIntegralProductImagetext(String  integralProductImagetext){
        this.integralProductImagetext=integralProductImagetext;
    }

    public Integer getIntegralProductStatus(){
        return integralProductStatus;
    }

    public void setIntegralProductStatus(Integer  integralProductStatus){
        this.integralProductStatus=integralProductStatus;
    }

    public Date getIntegralProductCreateTime(){
        return integralProductCreateTime;
    }

    public void setIntegralProductCreateTime(Date  integralProductCreateTime){
        this.integralProductCreateTime=integralProductCreateTime;
    }

    public Date getIntegralProductUpdateTime(){
        return integralProductUpdateTime;
    }

    public void setIntegralProductUpdateTime(Date  integralProductUpdateTime){
        this.integralProductUpdateTime=integralProductUpdateTime;
    }

    public Integer getCouponType() {
        return couponType;
    }

    public void setCouponType(Integer couponType) {
        this.couponType = couponType;
    }

    public Integer getCouponReduce() {
        return couponReduce;
    }

    public void setCouponReduce(Integer couponReduce) {
        this.couponReduce = couponReduce;
    }

    public Integer getConvertId() {
        return convertId;
    }

    public void setConvertId(Integer convertId) {
        this.convertId = convertId;
    }

    public Integer getConvertDfbi() {
        return convertDfbi;
    }

    public void setConvertDfbi(Integer convertDfbi) {
        this.convertDfbi = convertDfbi;
    }

    public Integer getConvertIsMailing() {
        return convertIsMailing;
    }

    public void setConvertIsMailing(Integer convertIsMailing) {
        this.convertIsMailing = convertIsMailing;
    }

    public Integer getConvertIsPay() {
        return convertIsPay;
    }

    public void setConvertIsPay(Integer convertIsPay) {
        this.convertIsPay = convertIsPay;
    }

    public Integer getConvertPrice() {
        return convertPrice;
    }

    public void setConvertPrice(Integer convertPrice) {
        this.convertPrice = convertPrice;
    }

    public Integer getCouponId() {
        return couponId;
    }

    public void setCouponId(Integer couponId) {
        this.couponId = couponId;
    }
}